﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SmartDeviceProject3
{
    public partial class Form1 : Form
    {
        Steema.TeeChart.Pocket.TChart tChart1,tChart2,tChart3,tChart4;
        Double[] x1, x;
        Double[] y;
        public Form1()
        {
            InitializeComponent();
            tChart1 = new Steema.TeeChart.Pocket.TChart();
            tChart2 = new Steema.TeeChart.Pocket.TChart();
            tChart3 = new Steema.TeeChart.Pocket.TChart();
            tChart4 = new Steema.TeeChart.Pocket.TChart();
            this.Controls.Add(tChart1);
            this.Controls.Add(tChart2);
            this.Controls.Add(tChart3);
            this.Controls.Add(tChart4);
           
            tChart1.Left = 0;
            tChart1.Top = 50;
            tChart2.Left = 250;
            tChart2.Top = 50;
            tChart3.Left = 0;
            tChart3.Top = tChart1.Top + 250;
            tChart4.Left = 250;
            tChart4.Top = tChart2.Top + 250;
            tChart1.Aspect.View3D = false;
            tChart2.Aspect.View3D = false;
            tChart3.Aspect.View3D = false;
            tChart4.Aspect.View3D = false;
            
            tChart1.Header.Text = "TChart1";
            tChart2.Header.Text = "TChart2";
            tChart3.Header.Text = "TChart3";
            tChart4.Header.Text = "TChart4";

            tChart1.Series.Add(new Steema.TeeChart.Styles.Line());
            tChart2.Series.Add(new Steema.TeeChart.Styles.Line());
            tChart3.Series.Add(new Steema.TeeChart.Styles.Line());
            tChart4.Series.Add(new Steema.TeeChart.Styles.Line());
            InitializeChart();

        }
        private Random __random = new Random();


        private void InitializeChart()
        {
            tChart1.Series[0].Clear();
            tChart2.Series[0].Clear();
            tChart3.Series[0].Clear();
            tChart4.Series[0].Clear();

            for (int a = 0; a < 5; a++)
            {
                tChart1[0].Add(0, "Value" + a, Color.AliceBlue);
                tChart2[0].Add(0, "Value" + a, Color.AliceBlue);
                tChart3[0].Add(0, "Value" + a, Color.AliceBlue);
                tChart4[0].Add(0, "Value" + a, Color.AliceBlue);
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            for (int a = 0; a < 5; a++)
            {
                tChart1[0].YValues[a] = __random.Next(0, 100);
                tChart2[0].YValues[a] = __random.Next(0, 100);
                tChart3[0].YValues[a] = __random.Next(0, 100);
                tChart4[0].YValues[a] = __random.Next(0, 100);
            }

            tChart1[0].Repaint();
            tChart2[0].Repaint();
            tChart3[0].Repaint();
            tChart4[0].Repaint();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < tChart1[0].Count; i++)
            {
                x1[i] = i + 2;
            }
            tChart1[0].Add(x1, y);
        }

    }


}